Summary:	Plasma 5 CLI (command line interface) tools
Name:		kde-cli-tools
Version:	5.11.5
Release:	1
License:	GPLv2+
Group:		Graphical desktop/KDE
Url:		https://www.kde.org/
Source0:	ftp://ftp.kde.org/pub/kde/stable/plasma/%{version}/%{name}-%{version}.tar.xz
Source10:	%{name}.rpmlintrc
Patch1:		kde-cli-tools-5.2.1-no-docs.patch
# Likely other applocations need this too
Patch2:		kde-cli-tools-5.2.1-translate-kdesu.patch
BuildRequires:	extra-cmake-modules
BuildRequires:	kf5activities-devel
BuildRequires:	kf5config-devel
BuildRequires:	kf5doctools-devel
BuildRequires:	kf5iconthemes-devel
BuildRequires:	kf5i18n-devel
BuildRequires:	kf5kcmutils-devel
BuildRequires:	kf5kdelibs4support-devel
BuildRequires:	kf5su-devel
BuildRequires:	kf5windowsystem-devel
BuildRequires:	pkgconfig(Qt5Core)
BuildRequires:	pkgconfig(Qt5DBus)
BuildRequires:	pkgconfig(Qt5Gui)
BuildRequires:	pkgconfig(Qt5Svg)
BuildRequires:	pkgconfig(Qt5Test)
BuildRequires:	pkgconfig(Qt5Widgets)
BuildRequires:	pkgconfig(Qt5X11Extras)
BuildRequires:	pkgconfig(x11)
BuildRequires:	pkgconfig(xcb)
BuildRequires:	pkgconfig(xext)
Requires:	kinit

%description
Plasma 5 CLI (command line interface) tools (kcmshell, kdesu etc).

%files -f %{name}.lang
%{_kde5_bindir}/kbroadcastnotification
%{_kde5_bindir}/kcmshell5
%{_kde5_bindir}/kde-open5
%{_kde5_bindir}/kdecp5
%{_kde5_bindir}/kdemv5
%{_kde5_bindir}/kdesu5
%{_kde5_bindir}/keditfiletype5
%{_kde5_bindir}/kioclient5
%{_kde5_bindir}/kmimetypefinder5
%{_kde5_bindir}/kstart5
%{_kde5_bindir}/ksvgtopng5
%{_kde5_bindir}/ktraderclient5
%{_kde5_libdir}/libkdeinit5_kcmshell5.so
%{_kde5_libexecdir}/kf5/kdeeject
%{_kde5_libexecdir}/kf5/kdesu
%{_qt5_plugindir}/kcm_filetypes.so
%{_kde5_services}/filetypes.desktop

#----------------------------------------------------------------------------

%prep
%setup -q
%patch1 -p1
%patch2 -p1

%build
%cmake_kde5
%make

%install
%makeinstall_std -C build

pushd %{buildroot}%{_kde5_bindir}
ln -s %{_kde5_libexecdir}/kf5/kdesu kdesu5
popd

# To avoid conflicts with kde-l10n
rm -rf %{buildroot}%{_mandir}/*/man1/kdesu.1*

%find_lang filetypes kbroadcastnotification kcm5_filetypes kcmshell5 kdesu kdesu5 \
           kioclient5 kmimetypefinder5 kstart5 ktraderclient5 %{name}.lang --with-html --with-kde


%changelog

* Fri Jan 05 2018 Andrey Bondrov <andrey.bondrov@rosalab.ru> 5.11.5-1
- (62c8ae5) New version 5.11.5

* Wed Dec 20 2017 Andrey Bondrov <andrey.bondrov@rosalab.ru> 5.11.4-1
- (cf44eb3) Build requires kf5activities-devel and kf5doctools-devel
- (cf44eb3) Update locales
- (Andrey Bondrov: 6fe7205) New version 5.11.4

* Wed Aug 23 2017 Andrey Bondrov <andrey.bondrov@rosalab.ru> 5.10.5-1
- (d041566) New version 5.10.5

* Wed Aug 16 2017 Andrey Bondrov <andrey.bondrov@rosalab.ru> 5.10.4-1
- (35d99ab) Drop no longer needed rename-translations patch
- (Andrey Bondrov: df6dfdd) New version 5.10.4

* Wed Mar 22 2017 Andrey Bondrov <andrey.bondrov@rosalab.ru> 5.9.4-1
- (05bab12) New version 5.9.4

* Wed Mar 01 2017 Andrey Bondrov <andrey.bondrov@rosalab.ru> 5.9.3-1
- (a46868e) New version 5.9.3

* Thu Feb 16 2017 Andrey Bondrov <andrey.bondrov@rosalab.ru> 5.9.2-1
- (a1e63b2) New version 5.9.2

* Mon Feb 13 2017 Andrey Bondrov <andrey.bondrov@rosalab.ru> 5.9.1-1
- (9f319f0) New version 5.9.1

* Sat Feb 04 2017 Andrey Bondrov <andrey.bondrov@rosalab.ru> 5.9.0-2
- (3e2bdc4) MassBuild#1230: Increase release tag

* Fri Feb 03 2017 Andrey Bondrov <andrey.bondrov@rosalab.ru> 5.9.0-1
- (6ab1027) Update files (add new kbroadcastnotification utility)
- (Andrey Bondrov: eeb65dd) New version 5.9.0

* Thu Jan 26 2017 Andrey Bondrov <andrey.bondrov@rosalab.ru> 5.8.3-2
- (1d59e94) MassBuild#1211: Increase release tag

* Mon Nov 14 2016 Andrey Bondrov <andrey.bondrov@rosalab.ru> 5.8.3-1
- (ffa805b) New version 5.8.3

* Fri Oct 14 2016 Andrey Bondrov <andrey.bondrov@rosalab.ru> 5.7.2-2
- (80e3111) MassBuild#1169: Increase release tag

* Thu Jul 21 2016 valerol <valerol@ya.ru> 5.7.2-1
- (302ca13) New version 5.7.2

* Sat Jun 18 2016 Andrey Bondrov <andrey.bondrov@rosalab.ru> 5.6.5-1
- (c7abf75) New version 5.6.5

* Thu Apr 21 2016 Andrey Bondrov <andrey.bondrov@rosalab.ru> 5.6.3-1
- (89edb32) New version 5.6.3

* Wed Apr 13 2016 Andrey Bondrov <andrey.bondrov@rosalab.ru> 5.6.2-2
- (a89f96f) MassBuild#1026: Increase release tag

* Fri Apr 08 2016 Andrey Bondrov <andrey.bondrov@rosalab.ru> 5.6.2-1
- (d7eec95) New version 5.6.2

* Fri Apr 08 2016 Andrey Bondrov <andrey.bondrov@rosalab.ru> 5.5.5-2
- (817b090) MassBuild#1001: Increase release tag

* Wed Mar 02 2016 Andrey Bondrov <andrey.bondrov@rosalab.ru> 5.5.5-1
- (e1ecd44) New version 5.5.5

* Wed Jan 27 2016 Andrey Bondrov <andrey.bondrov@rosalab.ru> 5.5.4-1
- (735dbed) New version 5.5.4

* Sun Jan 17 2016 Andrey Bondrov <andrey.bondrov@rosalab.ru> 5.5.3-2
- (978b16d) Add /usr/bin/kdesu5 file

* Thu Jan 07 2016 Andrey Bondrov <andrey.bondrov@rosalab.ru> 5.5.3-1
- (9971922) New version 5.5.3

* Mon Dec 28 2015 Andrey Bondrov <andrey.bondrov@rosalab.ru> 5.5.2-1
- (4eea42b) New version 5.5.2

* Thu Nov 19 2015 Andrey Bondrov <andrey.bondrov@rosalab.ru> 5.4.3-1
- (725f301) New version 5.4.3

* Wed Oct 07 2015 Andrey Bondrov <andrey.bondrov@rosalab.ru> 5.4.2-1
- (4fd9bda) New version 5.4.2

* Tue Sep 08 2015 Andrey Bondrov <andrey.bondrov@rosalab.ru> 5.4.1-1
- (fe9e72e) New version 5.4.1


